﻿@model IEnumerable<eCommerce.Services.Model.Brand>
@{
    ViewBag.Title = "Marcas";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Listado de Marcas</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/Brands/BrandUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVA MARCA</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_BrandList", Model)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
            //setActionsDialogs();
        })

        function fDelete(Id)
        {
            $.ajax({
                url: "/Brands/BrandDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    //setActionsDialogs();
                    swal("Eliminado!", "", "success");
                }
            });
        }

        function fDeleteDialog(brandId)
        {
            var brandId = brandId;
                swal({
                    title: "Confirma su acción de Eliminar?",
                    text: "",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: '#F26A54',
                    confirmButtonText: 'Sí, deseo elminarlo!',
                    cancelButtonText: 'Cancelar',
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function (isConfirm) {
                    if (isConfirm) {
                        fDelete(brandId);
                    }
                });
        }

        //function setActionsDialogs()
        //{
        //    $('.remove-row').on("click", function () {
        //        var rowId = $(this).attr("data-rowid");
        //        swal({
        //            title: "Confirma su acción de Eliminar?",
        //            text: "",
        //            type: "warning",
        //            showCancelButton: true,
        //            confirmButtonColor: '#F26A54',
        //            confirmButtonText: 'Sí, deseo elminarlo!',
        //            cancelButtonText: 'Cancelar',
        //            closeOnConfirm: false,
        //            closeOnCancel: true
        //        },
        //        function (isConfirm) {
        //            if (isConfirm) {
        //                fDelete(rowId);
        //            }
        //        });
        //    });
        //}

    </script>

}

